Name:           perl-Env-ShellWords
Version:        0.02
Release:    1%{?dist}
Summary:        Environment variables for arguments as a Perl array
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Env-ShellWords
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/Env-ShellWords-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Text::ParseWords)
BuildRequires:  perl(Config)
BuildRequires:  perl(Test2::V0) >= 0.000060
Requires:       perl(Carp)

%description
This Perl module provides an array-like interface to environment variables that
contain flags. For example Autoconf can uses the environment variables like
CFLAGS or LDFLAGS, and this allows you to manipulate those variables
without doing space quoting and other messy mucky stuff.

%prep
%setup -q -n Env-ShellWords-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.02-1
- initial build
